rte_crypto_param_range(3)

NAME
rte_crypto_param_range

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

uint16_t min
uint16_t max
uint16_t increment

Detailed Description

Crypto parameters range description

Definition at line 84 of file rte_cryptodev.h.

Field Documentation

  uint16_t min
minimum size

Definition at line 85 of file rte_cryptodev.h.

  uint16_t max
maximum size

Definition at line 86 of file rte_cryptodev.h.

  uint16_t increment
if a range of sizes are supported, this parameter is used to indicate increments in byte size that are supported between the minimum and maximum

Definition at line 87 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.